LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08235Bug reports[All Projects] Import/Exportpublic2013-10-04 18:162013-10-10 00:35
Reporterriqcles 
Assigned Toc_schmitz 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary08235: Postgresql - Import .csv 1.85 to 2.00 fail
DescriptionWhen I import a questionnaire in v1.85 V2.00 in postgresql 9.1, I have an error message:
-------------------------
Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[42883]: Undefined function: 7 ERREUR: la fonction last_insert_id() n'existe pas
LINE 1: Select LAST_INSERT_ID()
^
HINT: Aucune fonction ne correspond au nom donné et aux types d'arguments.
Vous devez ajouter des conversions explicites de type.

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.

Thank you.
-------------------------
DenisChenu say :
It is in the csvimport function:
$ newlid = Yii :: app () -> db-> CreateCommand ('Select LAST_INSERT_ID ()') -> query () -> read ();

Can you solve the problem?
By importing this questionnaire v1.85 V2.00 in a MySql no problem
Steps To Reproduce1. Import the 1.85 survey on Postgres database
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDbuild130929
BrowserInternet explorer 9 / Firefox 10.0.0
Database & DB-VersionPostgreSql 9.1
Operating System (Server)Windows Seven 32 bits / CentOS 5.x
Webserver software & versionEasyPHP 12.0 / Apache V2
PHP Version5.1.14
Attached Filescsv file icon V185_limesurvey_survey_52987.csv [^] (3,860 bytes) 2013-10-04 18:16

- Relationships

-  Notes
User avatar (26643)
c_schmitz (administrator)
2013-10-09 10:31

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13200 [^]
User avatar (26652)
c_schmitz (administrator)
2013-10-09 11:22

2.00+ Build 121009 released
User avatar (26689)
c_schmitz (administrator)
2013-10-10 00:35

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13218 [^]

- Related Changesets
LimeSurvey: master 1ec3707b
Timestamp: 2013-10-09 08:31:38
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08235: Import of old .csv survey file format in Postgresql fails
mod - application/helpers/admin/import_helper.php Diff ] File ]
mod - application/models/Quota.php Diff ] File ]
LimeSurvey: 2.05 06b130c4
Timestamp: 2013-10-09 22:34:30
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08235: Import of old .csv survey file format in Postgresql fails
mod - application/helpers/admin/import_helper.php Diff ] File ]
mod - application/models/Quota.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-04 18:16 riqcles New Issue
2013-10-04 18:16 riqcles File Added: V185_limesurvey_survey_52987.csv
2013-10-07 22:02 c_schmitz Assigned To => c_schmitz
2013-10-07 22:02 c_schmitz Status new => assigned
2013-10-09 10:31 c_schmitz Status assigned => resolved
2013-10-09 10:31 c_schmitz Fixed in Version => 2.00+
2013-10-09 10:31 c_schmitz Resolution open => fixed
2013-10-09 10:31 c_schmitz Changeset attached => LimeSurvey master 1ec3707b
2013-10-09 10:31 c_schmitz Note Added: 26643
2013-10-09 11:22 c_schmitz Note Added: 26652
2013-10-09 11:22 c_schmitz Status resolved => closed
2013-10-10 00:35 c_schmitz Changeset attached => LimeSurvey 2.05 06b130c4
2013-10-10 00:35 c_schmitz Note Added: 26689


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker